{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_aula_16nov (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/emilio/aula-16nov/.stack-work/install/x86_64-linux-tinfo6/30329086c5bf0ac545942aa625fa1089275fdccfa9143d6ee60fe3e655f8ee22/8.8.4/bin"
libdir     = "/home/emilio/aula-16nov/.stack-work/install/x86_64-linux-tinfo6/30329086c5bf0ac545942aa625fa1089275fdccfa9143d6ee60fe3e655f8ee22/8.8.4/lib/x86_64-linux-ghc-8.8.4/aula-16nov-0.1.0.0-3Fd0fgQAtTk9BhuqN5ai2X-aula-16nov"
dynlibdir  = "/home/emilio/aula-16nov/.stack-work/install/x86_64-linux-tinfo6/30329086c5bf0ac545942aa625fa1089275fdccfa9143d6ee60fe3e655f8ee22/8.8.4/lib/x86_64-linux-ghc-8.8.4"
datadir    = "/home/emilio/aula-16nov/.stack-work/install/x86_64-linux-tinfo6/30329086c5bf0ac545942aa625fa1089275fdccfa9143d6ee60fe3e655f8ee22/8.8.4/share/x86_64-linux-ghc-8.8.4/aula-16nov-0.1.0.0"
libexecdir = "/home/emilio/aula-16nov/.stack-work/install/x86_64-linux-tinfo6/30329086c5bf0ac545942aa625fa1089275fdccfa9143d6ee60fe3e655f8ee22/8.8.4/libexec/x86_64-linux-ghc-8.8.4/aula-16nov-0.1.0.0"
sysconfdir = "/home/emilio/aula-16nov/.stack-work/install/x86_64-linux-tinfo6/30329086c5bf0ac545942aa625fa1089275fdccfa9143d6ee60fe3e655f8ee22/8.8.4/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "aula_16nov_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "aula_16nov_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "aula_16nov_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "aula_16nov_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "aula_16nov_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "aula_16nov_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
